// ImageMixerView.h : interface of the CImageMixerView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEMIXERVIEW_H__420357FF_5E5B_4BC4_82CB_27763A56F17F__INCLUDED_)
#define AFX_IMAGEMIXERVIEW_H__420357FF_5E5B_4BC4_82CB_27763A56F17F__INCLUDED_

#include "SettingsDlg.h"	// Added by ClassView
#include "StdAfx.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CImageMixerView : public CScrollView
{
protected: // create from serialization only
	CImageMixerView();
	DECLARE_DYNCREATE(CImageMixerView)

// Attributes
public:
	CImageMixerDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImageMixerView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetTransParency(int nTrans);
	
	virtual ~CImageMixerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CImageMixerView)
	afx_msg void OnFileOpenBase();
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnInsertImage();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg UINT OnNcHitTest(CPoint point);
	afx_msg void OnFileSave();
	afx_msg void OnUpdateFileNew(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CSettingsDlg m_SettingsDlg;
	CShape* m_pSelectedShape;
	void RefreshMemDC();
	Image * m_pBaseImage;
	void DrawAllShapes();
	void DeSelectAll();
	SHAPE_VECT m_vShapeList;
	void UpdateMemDC(Image *pImg);
	void AdjustScroll();
	bool IsValidImageFile(CString &strFileName);
	int m_nHeight;
	int m_nWidth;
	Bitmap *m_pMemBitmap;
	Graphics *m_pMemGraphics;
	SolidBrush  *m_pBackBrush;

	bool LoadImage(CString &strFileName);

	int GetEncoderClsid(const WCHAR* format, CLSID* pClsid);

};

#ifndef _DEBUG  // debug version in ImageMixerView.cpp
inline CImageMixerDoc* CImageMixerView::GetDocument()
   { return (CImageMixerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMAGEMIXERVIEW_H__420357FF_5E5B_4BC4_82CB_27763A56F17F__INCLUDED_)
